AMULEWEB(1)

NAME
imuleweb - iMule web server

SYNOPSIS
imuleweb [-h <host>] [-p <port>] [-P <pass>] [-f <path>] [-l <lang>] [-q] [-v] [-w] [-t <name>] [-s <port>] [-z] [-Z] [-A <pass>] [-G <pass>] [-a] [-d] [-L]

imuleweb [-f <path>] --create-config-from=<path>

imuleweb [--help] [--version]

imuleweb [--imule-config-file=<path>]

BESCHREIBUNG
imuleweb ermöglicht es iMule mithilfe eines Webservers zu steuern. Du kannst imuleweb beim iMule start oder jederzeit später starten. Optionen können über die Kommandozeile oder über eine Konfigurationsdatei angegeben werden. Kommandozeilen Optionen haben hierbei eine höhere Priorität als die Konfigurationsdatei Optionen.

-h, --host=<host>
    Host auf dem iMule läuft (standart: localhost). <host> es kann sich um eine IP-Address oder DNS Namen handeln

-p, --port=<port>
    iMules Port für Externe Verbindungen, wie eingestellt unter Einstellungen-> Remote Controls (standart: 4712)

-P, --password=<passwd>
    Passwort für die Externe Verbindung

-f, --config-file=<path>
    Nutze die vorgegebene Konfigurationsdatei. Standart Konfigurationsdatei ist ~/.iMule/remote.conf

-l, --locale=<lang>
    setzt die Programm locale (Sprache). Siehe die Sektion ANMERKUNGfür eine Beschreibung des <lang> Parameters.

-q, --quiet
    Gibt keine Infos nach stdout. Man kann diese Option nutzen um den Webserver zum Daemon zu machen, z.B mit 'imuleweb -q &'

-v, --verbose
    Sei verbose - zeige ebenfalls Debug Ausgaben.

-w, --write-config
    Schreibe Kommandozeilen Optionen in die Konfigurationsdatei und beende.

--create-config-from=<path>
    Erstelle eine Konfigurationsdatei basierend auf<path>, dieser Pfad muss auf eine gültige iMule Konfigurationsdatei zeigen.Danach wird imuleweb beendet.

-t, --template=<name>
    Lädt das Template mit dem Namen <name>. Siehe hierzu den Abschnitt SKIN UNTERSTUETZUNG

-s, --server-port=<port>
    Webservers HTTP port. Dies ist der Port wohin man später seinen Webbrowser richtet (standart: 4711)

-z, --enable-gzip
    Aktiviert gzip kompremierung im HTTP Verkehr um Bandbreite zu sparen.

-Z, --disable-gzip
    Deaktiviert die gzip Komprimierung (standard: an)

-A, --admin-pass=<passwd>
    Volle Zugriffsrechte Nutzer Passwort für den Webserver

-G, --guest-pass=<passwd>
    Gast Passwort für den Webserver

-a, --allow-guest
    Gestatte Gast Zugang

-d, --deny-guest
    Verbiete Gast Zugang (standart)

-L, --load-settings
    Lade/speichere webserver Einstellungen von/nach remote iMule. Dies bewirkt dass imuleweb alle Kommandozeilen und Optionen aus der Konfigurationsdatei ignoriert, und diese direkt von iMule lädt. Beim Speichern werden die Einstellungen nicht in die Konfigurationsdatei gespeichert sondern direkt in iMule. (Natürlich funktioniert dies nur für die Optionen, welche auch unter iMules Einstellunge->Remote Controls eingestellt werden können!)

--imule-config-file=<path>
    iMule Konfigdatei Pfad. NICHT DIREKT BENUTZEN! iMule nutzt diese Option wenn imuleweb automatisch beim Programmstart gestartet wird. Diese Option bewirkt das alle anderen Kommandozeilen und Konfigurationsdatei Einstellungen ignoriert werden, Einstellungen werden von der angegebenen Datei gelesen, und zusätzlich werden die -q -L Optionen gesetzt.

--help
    Zeigt diese Hilfe an

--version
    Zeigt die Versionsnummer an und beendet

ANMERKUNGEN

  Pfade
Wenn eine Datei ohne absoluten Pfad angegeben wird (z.B. nur eine normale Textdatei wie --path=remote.conf) dann wird die Datei im iMule Konfigurationsverzeichnis ~/.iMule gesucht.

  Sprachen
Der <lang> Parameter für die -l Option hat folgende Form: lang[_LANG][.encoding][@modifier] wobei lang die primäre Sprache ist, LANG ist eine Untersprache oder Region, encoding ist das Chrakterset welches benutzt wird modifier "erlaubt dem User einen bestimmten Instanz der Localen Data in einer Kategorie zu nutzen".

Zum Beispiel, folgende Eingaben sind gültig:
fr
fr_FR
de_DE.iso88591
de_DE@euro
de_DE.iso88591@euro

Trotzdessen das alle Eingaben oben akzeptiert werden, sind die Parameter encoding and modifier noch nicht nutzbar.

Zum oben angegebenen Schema kann man auch den vollen Sprachennamen angeben in Englisch - so ist -l german gültig und entspricht -l de_DE.

When keine Locale angegeben wird über die Kommandozeile oder Konfigurationsdatei, wird die Standart Systemlocale genutzt.

SKIN UNTERSTUETZUNG
imuleweb hat die Möglichkeit die Webseiten in verschiedenen Skins darzustellen. Diese Skins nennen sich Templates, und man kann imuleweb eine komplett anderes Gesicht geben mit der -t Option. Templates werden an zwei Stellen zuerste gesucht: erstens ~/.iMule/webserver/ und dannach in $(pkgdatadir)/webserver/ ($(pkgdatadir) ist das Installations unabhängige Verzeichnis für von der Architektur unabhängige Daten, meistens wird dies in etwas wie /usr/share/imule sein). Jedes Template muss in einem eigenen Unterverzeichniss liegen mit dem Template Namen, darin müssen alle Dateien enthalten sein welche das Template benötigt. Die Template Datei muss immer iMule.tmpl heißen.

Zum Beispiel, die standart Template (Name 'default') befindet sich in webserver/default/, und dieses Verzeichniss beinhaltet iMule.tmpl und die zusätzlichen Grafiken.

DATEIEN
~/.iMule/remote.conf
~/.eMule
~/.iMule/webserver/
$(pkgdatadir)/webserver/

BEISPIEL
Normalerweise wird imuleweb das erste mal ungefähr so gestartet:

imuleweb -h hostname -p ECport -P ECpassword -s HTTPport -A AdminPassword -w

oder

imuleweb --create-config-from=/home/username/.iMule/imule.conf

Dies wird alle Einstellungen in die $HOME/.iMule/remote.conf Datei speichern, und später braucht man nur noch aufrufen:

imuleweb

Natürlich kann man es auch anders machen, dies ist nur ein Beispiel.

PROBLEME BERICHTEN
Bitte berichte Fehler im Programm entweder im Forum (http://forum.imule.org/), oder in unserem Bugtracker (http://bugs.imule.org/). Bitte berichte keine Fehler per E-Mail, auch nicht an unsere Mailingliste oder direkt an ein Teammitglied.

COPYRIGHT
iMule und alle seine Tools stehen unter der GNU General Public License.

SIEHE AUCH
imule(1), imulecmd(1)